[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStringCollection.PutItem

Write a string to the stream.

## Declaration

Source position: objects.pp line 452

`procedure TStringCollection.PutItem(`
`var S: TStream;`
`Item: Pointer`
`); virtual;`

## Description

PutItem writes the string pointed to by Item to the stream S.

This method is primarily used in the Load and Store methods, and should not be used directly.

## Errors

Errors are those of TStream.WriteStr.

## See also

TStringCollection.GetItem |  | Get string from the stream.

Documentation generated on: Feb 26 2014